Gentoo Archives: gentoo-accessibility

From: William Hubbs <williamh@g.o>
To: gentoo-accessibility@l.g.o
Subject: Re: [gentoo-accessibility] Introducing myself, with a few short questions
Date: Sat, 06 Oct 2007 02:51:58
Message-Id: 20071006024231.GA21461@linux1
In Reply to: [gentoo-accessibility] Introducing myself, with a few short questions by Robert Willam Grieve
Hash: SHA1

Hi Robert,

On Fri, Oct 05, 2007 at 09:06:26AM +1300, Robert Willam Grieve wrote:
> In the past I've tryed everything to get speech synthesis working > to it's full potential. I got wolf to teach me how to do livecd > builds, and I've done a couple, and I'm pretty close to getting > speak-up in a live cd env, but, then they pulled it from the > main kernel, so now I would like to know, are there any ways I > can continue working on this, as put the last kernel build in an > overlay, make a patch ebuild to retrieve the patches etc.
If you use the 2007.0 live cd, speakup is included, but not speech-dispatcher or espeak. The reason speakup was pulled from gentoo-sources was that it was not at the time compatible with version 2.6.22 of the kernel. Upstream is working on making it compatible with newer kernels. However, AFAIK, speakup is still part of earlier versions of gentoo-sources. I don't know the current status, but work is going on to clean up speakup code so that it can be merged into the mainline kernel at some point.
> If I can solve the problem of how to get the kernel to build with > the code in again, then tht will help, as I have already got > sftsyn type working before. I also want to make a meta-package > which will pull in all bits that we need for the default sftsyn > setup, and get them all configured, so I can then say, in the > livecd emerge gentoo-sftsyn, and get a default with say, a > kernel patch, espeak, speech-dispatcher and all the services > maybe added to /etc/init.d/
Speech-dispatcher is really the only thing that needs something in /etc/init.d, and espeak is a dependency for speech-dispatcher. I don't see what you want to do with a meta-package. Can you give me a better idea? Thanks, - -- William Hubbs gentoo accessibility team lead williamh@g.o -----BEGIN PGP SIGNATURE----- Version: GnuPG v1.4.7 (GNU/Linux) iD8DBQFHBvYXblQW9DDEZTgRAvcsAJsHt994CjYwZ3MA+XOi+EiLtIzcVwCeKg24 7MuRgezau6vlYdfQe7rZEZM= =WcOU -----END PGP SIGNATURE----- -- gentoo-accessibility@g.o mailing list